
#include "textes.h"
#include <windows.h>
#include "consolehelper.h"
//##############################################################################
const  char * gameTitel[7]={ "DDDD    DDDDD  DDDDDD  DDDDD  DD     D  DDDD    DDDD    D  D     D",
                            "D   D   D      D       D      D D    D  D   D   D   D   D   D   D ",
                            "D    D  D      D       D      D  D   D  D    D  D   D   D    D D  ",
                            "D    D  DDDD   DDDDD   DDDD   D   D  D  D    D  DDDD    D     D   ",
                            "D    D  D      D       D      D    D D  D    D  D   D   D    D D  ",
                            "D   D   D      D       D      D     DD  D   D   D    D  D   D   D ",
                            "DDDD    DDDDD  D       DDDDD  D      D  DDDD    D    D  D  D     D"};
//inline const char ** GameTitel() {return &gameTitel[0];}
const char ** GameTitel() {return &gameTitel[0];}

const char * menu[menuHeight]={"                                ",
                               "   Neues Einzelspieler Spiel    ",
                               "                                ",
                               "        Spielerkl\x84rung          ",
                               "                                ",
                               "         Spiel beenden          ",
                               "                                "};
const char ** Menu() {return &menu[0];}

const char * helpText[helpHeight]={
//"--------------------------------Einfhrung---------------------------------",
"\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4""Einf\x81hrung\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4",
"Im Jahr 2345 wurden mehrere extrastellare Kolonien gegr\x81ndet.               ",
"Der Kontakt zu ihnen wird \x81""ber Teleporterringe gehalten, mit denen es       ", 
"m\x94glich ist, Objekte zu jedem anderen Teleporter zu schicken.               ", 
"Mit Zeitteleportern ist es m\x94glich, kurze Spr\x81nge in die Zukunft zu machen, ",
"oder zu einem explizit markiertem vergangenen Zeitpunkt zu kommen.          ",
"Nach einigen Vergangenheitsreisen verschwindet der Teleporter allerdings    ", 
"spurlos, und Objekte die in der N\x84he eines anderen Teleporters sind,        ",
"werden nicht mit in die Vergangenheit zur\x81""ckgerissen, sondern bleiben im    ",
"selben Zustand wie in der Gegenwart.                                        ",
"Erste Experimente wurden auch bereits mit einem in einem Flugzeug           ",
"integrierten Teleporter, das sich \x81""brigens leicht mit den Cursortasten      ",
"steuern l\x84sst, durchgef\x81hrt.                                                ",
"Die gesamten Technologien werden allerdings von der Erde, die ihren         ", 
"wissenschaftlichen Vorsprung behalten will, unter Verschluss gehalten.      ", 
"Auch wird in letzter Zeit die Forschung an Antigonen gef\x94rdert, allerdings, ",
"scheint au\xe1""er den damit besch\x84""ftigten Wissenschaftlern niemand genau zu     ",
"wissen, um was es sich dabei handelt.                                       ",
"                                                                            ", 
//"------------------------------Steuerung:-----------------------------------",
"\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4Steuerung:\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4\xC4",
"                                                                            ",
"Cursortasten:                                                               ",  
"  hoch             hoch fliegen                                             ",
"  runter           runter fliegen                                           ",
"  rechts / links   je nach Flugrichtung beschleunigen oder bremsen          ",
"                                                                            ",
"Strg               schie\xe1""en                                                 ",  
"Tab                Zeitreise vorw\x84rts                                      ",  
"F6                 Zeitreise r\x81""ckw\x84rts                                     ",
"F5                 Zeitpunkt f\x81r sp\x84tere Zeitreisen markieren               ",    
"       (Maus: Bewegen => Bewegen, links: Schuss, rechts Zeitsprung                 ",
"                                                                            ",
"                 << Press Enter or click here to continue >>                                       "};

const char ** HelpText() {return &helpText[0];}

const char * shipRightNormal [shipHeight]  = {
  "   \\\\      ",   
  "\xAF)\xb2\xb2\xb2\xb2\xb2>  ",
  "   //     "};
const char * shipRightBall [shipHeight]  = {
  "   \\\\   \xBB ",   
  "\xAF)\xb2\xb2\xb2\xb2\xb2>\xBA ",
  "   //   \xBC "};

//##############################################################################
const char ** getShip(bool withBall, bool left){
  if (withBall) {
    return &shipRightBall[0];
  } else {
    return &shipRightNormal[0];
  }    
}
void CopyShipToBuffer (int x, int y, CHAR_INFO * buffer, bool withBall, bool left){
  const char ** ship = getShip(withBall,left);
  if (x+shipWidth>=80) {x=80-shipWidth;}
  if (y+shipHeight>=25) {y=25-shipHeight;}
  if (x<0) x = 0;
  if (y<0) y = 0;
  for (int X=0;X<shipWidth;X++){
    for (int Y=0;Y<shipHeight;Y++){
      if (ship[Y][X]!=' ') {
        buffer [X+x+80*(Y+y)].Char.AsciiChar=ship[Y][X];
        buffer [X+x+80*(Y+y)].Attributes=LIGHTBLUE   << 4 | LIGHTCYAN;
      }  
    }  
  }  
  buffer [shipWidth-2+x+80*(1+y)].Char.UnicodeChar=WCHAR(0x9c10);  //{0xbffc9c10}
  buffer [x+80*(1+y)].Attributes=LIGHTBLUE   << 4 | LIGHTRED;
}  

