
#include <conio.h>
#include <queue>
#include <windows.h>
#include "windowsUtils.h"
#include "stringBBUtils.h"
#include "consolehelper.h"
#define max(x,y) (((x) > (y)) ? (x) : (y))
#define min(x,y) (((x) < (y)) ? (x) : (y))
//#pragma comment(lib, "winmm.lib")

bool NT_;
HANDLE stdOutput = 0;
HANDLE stdInput = 0;
inline HANDLE StdOutput() { return stdOutput;};
inline HANDLE StdInput() { return stdInput;};
//-----------------------------------------------------------------------------------------//
void clrscr ()
  {
	system ("cls");
}

//-----------------------------------------------------------------------------------------//
void gotoxy( int x, int y )
{
	COORD coord;
	HANDLE BSHandle = StdOutput();
	coord.X = x;
	coord.Y = y;
	SetConsoleCursorPosition (BSHandle, coord); 
}

//-----------------------------------------------------------------------------------------//
int random( int lo, int hi ) 
{ 

	const unsigned int diff = hi - lo + 1; 
	unsigned int val = diff-1; 
	unsigned int shift = 15; 

	if ( diff > 1 ) 
	{ 
		--shift; 
		while( val >>= 1 ) --shift; 
	} 


	unsigned int rnd; 
	do 
	{ 
		// Schiebe Zufallszahl nach rechts 
		rnd = rand() >> shift; 
	} while (rnd>=diff); 

	return rnd + lo; 
} 

//-----------------------------------------------------------------------------------------//
void randomize ()
{
	srand (unsigned (time (NULL)));
}


//-----------------------------------------------------------------------------------------//
void textfront( int Color )
{
	if (Color <= 15)
	{
		CONSOLE_SCREEN_BUFFER_INFO Info;
		HANDLE BSHandle = StdOutput();
		GetConsoleScreenBufferInfo (BSHandle, &Info);
		WORD Farbe_Neu = Info.wAttributes;
		Farbe_Neu = Farbe_Neu & 0xfff0;
		Farbe_Neu = Farbe_Neu | Color;
		SetConsoleTextAttribute (BSHandle, /*Farbe_Neu*/GREEN);
	} // of if
}

//-----------------------------------------------------------------------------------------//
void textback( int Color )
{
	if (Color <= 7)
	{
		CONSOLE_SCREEN_BUFFER_INFO Info;
		HANDLE BSHandle = StdOutput();
		GetConsoleScreenBufferInfo (BSHandle, &Info);
		WORD Farbe_Neu = Info.wAttributes;
		Farbe_Neu = Farbe_Neu & 0xff0f;
		Farbe_Neu = Farbe_Neu | (Color <<4);
		SetConsoleTextAttribute (BSHandle, Farbe_Neu);
	} // of if
}

void textcolor( int FrontColor, int BackColor )
{
	textfront( FrontColor );
	textback( BackColor );
}

int wherex (void)
{
	HANDLE BSHandle = StdOutput();
	CONSOLE_SCREEN_BUFFER_INFO Info;
	GetConsoleScreenBufferInfo(BSHandle, &Info);

	return Info.dwCursorPosition.X+1;
}

int wherey (void)
{
	HANDLE BSHandle = StdOutput();
	CONSOLE_SCREEN_BUFFER_INFO Info;
	GetConsoleScreenBufferInfo(BSHandle, &Info);
	return Info.dwCursorPosition.Y+1;
}

int puttext(int Left, int Top, int Right, int Bottom, const char *Source, const WORD Attrib ) {
	HANDLE BSHandle = StdOutput();
	CHAR_INFO* pCharInfo;
	COORD coordBufSize;
	COORD coordDest;	
	COORD coordStart;	
	COORD coordEnd;	
	SMALL_RECT srReadRegion;
	
	coordStart.X	= srReadRegion.Left		= min (Left, Right);
	coordStart.Y	= srReadRegion.Top		= min (Top, Bottom);
	coordEnd.X		= srReadRegion.Right	= max (Left, Right);
	coordEnd.Y		= srReadRegion.Bottom	= max (Top, Bottom);
 	
	coordBufSize.X = coordEnd.X - coordStart.X + (SHORT) 1;
	coordBufSize.Y = coordEnd.Y - coordStart.Y + (SHORT) 1;
	
	if( coordBufSize.X <= 0 )
	{
		return 0;
	}
	if( coordBufSize.Y <= 0 )
	{
		return 0;
	}
	unsigned long int length= coordBufSize.X*coordBufSize.Y;

	pCharInfo = new CHAR_INFO [coordBufSize.X * coordBufSize.Y * sizeof(CHAR_INFO)];

	coordDest.X = 0;
	coordDest.Y = 0;

	unsigned long int Pos= 0;
	
	for (int y =0; y!= coordBufSize.Y; y++)
	{
		for (int x = 0; x != coordBufSize.X; x++)
		{
			pCharInfo [y*coordBufSize.X +x].Char.AsciiChar = Source [Pos];
		  pCharInfo [y*coordBufSize.X +x].Attributes     = Attrib;
			Pos++;
		}
	}

	BOOL bSuccess = WriteConsoleOutput(BSHandle, // handle to a console screen buffer 
                pCharInfo,		// pointer to buffer with data to write 
                coordBufSize,	// column-row size of source buffer 
                coordDest,		// upper-left cell to write from 
                &srReadRegion); // pointer to rectangle to write to 

	
	delete (pCharInfo);
	return 1;
}  
int puttext(int Left, int Top, int Right, int Bottom, const char *Source, const char *Attrib )
{
 	HANDLE BSHandle = StdOutput();
	CHAR_INFO* pCharInfo;
	COORD coordBufSize;
	COORD coordDest;	
	COORD coordStart;	
	COORD coordEnd;	
	SMALL_RECT srReadRegion;
	
	coordStart.X	= srReadRegion.Left		= min (Left, Right);
	coordStart.Y	= srReadRegion.Top		= min (Top, Bottom);
	coordEnd.X		= srReadRegion.Right	= max (Left, Right);
	coordEnd.Y		= srReadRegion.Bottom	= max (Top, Bottom);
 	
	coordBufSize.X = coordEnd.X - coordStart.X + (SHORT) 1;
	coordBufSize.Y = coordEnd.Y - coordStart.Y + (SHORT) 1;
	
	if( coordBufSize.X <= 0 )
	{
		return 0;
	}
	if( coordBufSize.Y <= 0 )
	{
		return 0;
	}
	unsigned long int length= coordBufSize.X*coordBufSize.Y;

	pCharInfo = new CHAR_INFO [coordBufSize.X * coordBufSize.Y * sizeof(CHAR_INFO)];

	coordDest.X = 0;
	coordDest.Y = 0;

	ReadConsoleOutput(BSHandle, // handle to a console screen buffer 
                pCharInfo,		// pointer to buffer with data to write 
                coordBufSize,	// column-row size of source buffer 
                coordDest,		// upper-left cell to write from 
                &srReadRegion); // pointer to rectangle to write to 

	unsigned long int Pos= 0;
	
	for (int y =0; y!= coordBufSize.Y; y++)
	{
		for (int x = 0; x != coordBufSize.X; x++)
		{
			pCharInfo [y*coordBufSize.X +x].Char.AsciiChar = Source [Pos];
			if( Attrib != NULL ) 
			{
				pCharInfo [y*coordBufSize.X +x].Attributes     = WORD (Attrib [Pos]);
			}
				pCharInfo [y*coordBufSize.X +x].Attributes     = LIGHTCYAN;
			Pos++;
		}
	}

	BOOL bSuccess = WriteConsoleOutput(BSHandle, // handle to a console screen buffer 
                pCharInfo,		// pointer to buffer with data to write 
                coordBufSize,	// column-row size of source buffer 
                coordDest,		// upper-left cell to write from 
                &srReadRegion); // pointer to rectangle to write to 

	
	delete (pCharInfo);
	return 1;

}
void puttextInBuffer (int left, int top, CHAR_INFO * buffer, int len, char * text, WORD Attrib){
  int startPos = left+top*80;
  for (int i=0;i<len;i++){
    buffer[startPos+i].Char.AsciiChar = text[i];
    buffer[startPos+i].Attributes = Attrib;
  }  
}  
void putIntInBuffer (int left, int top, CHAR_INFO * buffer, int number, WORD Attrib){
  char * temp = IntToStr10(number);
  puttextInBuffer (left, top, buffer, strlen(temp),temp,Attrib);
  delete [] temp;
}  
int copyText(int Left,int Top, int Right, int Bottom, int NewLeft, int NewTop)
{
  int mvh = NewLeft - Left;
  int mvv = NewTop - Top;
  int size=abs(Left-Right)*abs(Top-Bottom);
  char * cBuffer = new char [size];
  char * aBuffer = new char [size];
  gettext(Left,Top,Right,Bottom,cBuffer,aBuffer);
  puttext(NewLeft,NewTop,Right+mvh,Bottom+mvv,cBuffer,aBuffer);
  
  delete [] cBuffer;
  delete [] aBuffer;
}  
int moveText(int Left,int Top, int Right, int Bottom, int NewLeft, int NewTop,char symbol, int backAttrib)
{
 
    int mvh = NewLeft - Left;
    int mvv = NewTop - Top;
    int size=(abs(Left-Right)+1)*(abs(Top-Bottom)+1);
    char * cBuffer = new char [size+1];
    char * aBuffer = new char [size+1];
    gettext(Left,Top,Right,Bottom,&cBuffer[0],&aBuffer[0]);

    fill(Left,Top,Right,Bottom,symbol,backAttrib);

    puttext(NewLeft,NewTop,Right+mvh,Bottom+mvv,cBuffer,aBuffer);
  
    delete [] cBuffer;
    delete [] aBuffer;

}  
void drawBorder(int Left,int Top, int Right, int Bottom, WORD Attrib){
  char * border = new char [Right-Left+1];
  FillMemory(&border[0],Right-Left+1,205);
  puttext(Left,Top,Right,Top,border,Attrib);
  puttext(Left,Bottom,Right,Bottom,border,Attrib);
  delete [] border;

  int b2s=Bottom-Top;
  border = new char [b2s+1];
  FillMemory(&border[0],b2s+1,186);
  border[0] = '\xC9';
  border[b2s] = '\xC8';
  puttext(Left,Top,Left,Bottom,border,Attrib);
  border[0] = '\xBB';
  border[b2s] = '\xBC';
  puttext(Right,Top,Right,Bottom,border,Attrib);
  delete [] border;
}  
void drawScrollText(int Left, int Top, int Right, int Bottom, int TopLine, int textLength,const char ** Text, WORD attribText, WORD attribLastLine){
  int line= TopLine;
  textLength=textLength-TopLine-1;
  for (int j = 0; j<=Bottom-Top; j++){
    if (j<textLength) puttext(Left,j+Top,Right,j+Top, Text[j+TopLine], attribText);
    else if (j==textLength) puttext(Left,j+Top,Right,j+Top, Text[j+TopLine], attribLastLine);
  }  
}  
void putUniChar(int left, int top, WCHAR wchar, WORD attrib){
  COORD size;  size.Y=1;  size.X=1;
  COORD null;  null.Y=0;  null.X=0;
  SMALL_RECT wr;  wr.Left=left;  wr.Top=top;  wr.Right=left;wr.Bottom=top;
  CHAR_INFO buf;
  buf.Char.UnicodeChar=wchar;
  buf.Attributes=attrib;
  WriteConsoleOutputA(StdOutput(),&buf,size,null,&wr);
}  
MOUSE_EVENT_RECORD runScrollTextMouseEvent;
void runScrollTextMouseCallback(MOUSE_EVENT_RECORD*  event){
  runScrollTextMouseEvent = *event;
}  
void runScrollText(int width,int height, const char ** Text, int type)
{
  PMouseCallback old=getMouseCallback();
  setMouseCallback(PMouseCallback(runScrollTextMouseCallback));
  runScrollTextMouseEvent.dwEventFlags=10000;
  char * cBuffer = new char [80*25];
  char * aBuffer = new char [80*25];
  gettext(0,0,79,24,&cBuffer[0],&aBuffer[0]);

  bool needScrollText;
  int left = (80 - width) / 2;
  int right = left+width-1;
  int top, bottom;
  if (height<17) {
    top = (25 - height) /2;
    bottom = top+height;
    needScrollText = false;
  } else {
    top = 2;
    bottom = 22;
    needScrollText = true;
  }    
  for (int i=13-top;i>=0;i--){
    fill ( max(left-1-i,0),top-1-i,min(right+1-i,79),bottom+1-i,' ',BLACK << 4);
    drawBorder (max(left-2+i,0),top-2+i,min(right+2-i,79),bottom+2-i,GREEN);
    sync(50);
  }  
  int Scrollbar=min(right+2,79);
  int SBUp=max(top-1,1);
  int SBDown=min(bottom+1,23);
  drawScrollText(left,top,right,bottom,0,height,Text,GREEN,CYAN);
  int topLine=0;
  bool mouseOnScrollUp;
  bool mouseClick;
  bool mouseOnScrollDown;
  bool cyan=true;
  Sleep(200);
  while (!(keypressed(VK_RETURN)) && !(keypressed(VK_ESCAPE))) {
    if (needScrollText) {
      if (mouseClick)
        mouseClick=(runScrollTextMouseEvent.dwEventFlags!=0) ||
                     (runScrollTextMouseEvent.dwButtonState & 1 != 0); 
       else 
        mouseClick=(runScrollTextMouseEvent.dwEventFlags==0) &&
                     (runScrollTextMouseEvent.dwButtonState & 1 == 1); 
      if (runScrollTextMouseEvent.dwMousePosition.X==Scrollbar) {
        mouseOnScrollDown=runScrollTextMouseEvent.dwMousePosition.Y==SBDown;
        mouseOnScrollUp=runScrollTextMouseEvent.dwMousePosition.Y==SBUp;
      }  else {
        mouseOnScrollDown=false;
        mouseOnScrollUp=false;
      }  
      if (runScrollTextMouseEvent.dwEventFlags!=10000) 
        runScrollTextMouseEvent.dwEventFlags=10000;
      
      if (keypressed(VK_UP)||(mouseOnScrollUp && mouseClick)) {
        topLine=(topLine>0) ? topLine -1 : 0;
        soundbeep(1000,10,false,false,4);
      } else if (keypressed(VK_DOWN)||(mouseOnScrollDown && mouseClick)) topLine=(topLine<height-(bottom-top)-1) ? topLine+1 : height-(bottom-top)-1;
      else if (mouseClick) {break;}
    //  MessageBoxInt("",bottom*1000+top);
      
      if (mouseOnScrollUp) putUniChar(Scrollbar,SBUp,WCHAR(39966),CYAN);
      else putUniChar(Scrollbar,SBUp,WCHAR(39966),GREEN);
      if (mouseOnScrollDown) putUniChar(Scrollbar,SBDown,WCHAR(39967),CYAN);
      else putUniChar(Scrollbar,SBDown,WCHAR(39967),GREEN);
      if (cyan) drawScrollText(left,top,right,bottom,topLine,height,Text,GREEN,CYAN);
      else drawScrollText(left,top,right,bottom,topLine,height,Text,GREEN,GREEN);
      cyan = !cyan;
      sync(100);
    }  
  }  
  puttext (0, 0, 79, 24, cBuffer,aBuffer);
  delete [] cBuffer;
  delete [] aBuffer;
  forceKeyrelease(VK_ESCAPE);
  forceKeyrelease(VK_RETURN);
  setMouseCallback(old);
  Sleep(150);
  
}  
void runInputQuery(int textLen, const char * Text, WORD TextAttrib, WORD BorderAttrib, int & size, char  ** output)
{
  int ss=size;
  size=0;
  PMouseCallback saveCallback=getMouseCallback();
  setMouseCallback(PMouseCallback(runScrollTextMouseCallback));
  
  runScrollTextMouseEvent.dwEventFlags=10000;
  char * cBuffer = new char [80*25];
  char * aBuffer = new char [80*25];
  gettext(0,0,79,24,&cBuffer[0],&aBuffer[0]);

  bool needScrollText;
  int width = 50;
  int left = (80 - width) / 2;
  int right = left+width-1;
  int top = 10;
  int bottom = 13;
  
  fill ( max(left-1,0),top-1,min(right+1,79),bottom+1,' ',BLACK << 4);
  drawBorder (max(left-2,0),top-2,min(right+2,79),bottom+2,GREEN);

  puttext(left+2, top+1, left+1+textLen, top+1, Text, TextAttrib);
  puttext(left+2, top+2, left+47, top+2, "\xDC__________________________________________________", TextAttrib);
  puttext(left+2, top+4, left+50, top+4, "                   \xAF   OK   \xAE                    _", TextAttrib);
  runScrollTextMouseEvent.dwEventFlags=1000;
  while (!(keypressed(VK_RETURN)))  {
    char add='\x0';
    for (char c='A';c<='Z';c++)
      if (keypressed(int(c))) {
        add=c;
        break;
      }
    if (add!='\x0')  {
      if (!(keypressed(VK_SHIFT))) 
        add = add + ('a'-'A'); 
    } else {
      for (char c='0';c<='9';c++)
        if (keypressed(c)) {
          add=c;
          break;
        }
      if (add=='\x0')  
        if (keypressed(VK_SHIFT) && (keypressed(VK_SUBTRACT))) 
          add = '_';
    }  
    if ((add != '\x0') && (size<ss-1)) {
       soundbeep(1000,10,false,false,4);
      (*output)[size]=add;
      putUniChar(size+left+2,top+2,add,CYAN);
      putUniChar(size+left+3,top+2,'\xDC',CYAN);
      size++;
      sync(100);
    }  
    if (keypressed(VK_BACK)) {
      soundbeep(1000,10,false,false,4);
      size--;
      putUniChar(size+left+2,top+2,'\xDC',CYAN);
      putUniChar(size+left+3,top+2,'_',GREEN);
    }  
    puttext(left+2, top+4, left+50, top+4, "                   \xAF   OK   \xAE                    _", TextAttrib);
    if (runScrollTextMouseEvent.dwMousePosition.Y==top+4)
      if (runScrollTextMouseEvent.dwMousePosition.X>left+19)
        if (runScrollTextMouseEvent.dwMousePosition.X<left+31) {
          puttext(left+2, top+4, left+50, top+4, "                   \xAF   OK   \xAE                    _", CYAN);
          if (runScrollTextMouseEvent.dwEventFlags==0) 
            if ((runScrollTextMouseEvent.dwButtonState & FROM_LEFT_1ST_BUTTON_PRESSED) == FROM_LEFT_1ST_BUTTON_PRESSED) 
              break;
        }  
    sync(100);
  }  
  puttext (0, 0, 79, 24, cBuffer,aBuffer);
  delete [] cBuffer;
  delete [] aBuffer;
  setMouseCallback(saveCallback);
  forceKeyrelease(VK_RETURN);
  Sleep(150);
  
}  
int fill(int Left, int Top, int Right, int Bottom, const char Source, const char Attrib )
{
	HANDLE BSHandle = StdOutput();
	CHAR_INFO* pCharInfo;
	COORD coordBufSize;
	COORD coordDest;	
	COORD coordStart;	
	COORD coordEnd;	
	SMALL_RECT srReadRegion;
	
	coordStart.X	= srReadRegion.Left		= min (Left, Right);
	coordStart.Y	= srReadRegion.Top		= min (Top, Bottom);
	coordEnd.X		= srReadRegion.Right	= max (Left, Right);
	coordEnd.Y		= srReadRegion.Bottom	= max (Top, Bottom);
 	
	coordBufSize.X = coordEnd.X - coordStart.X + (SHORT) 1;
	coordBufSize.Y = coordEnd.Y - coordStart.Y + (SHORT) 1;
	
	if( coordBufSize.X <= 0 )
	{
		return 0;
	}
	if( coordBufSize.Y <= 0 )
	{
		return 0;
	}
	unsigned long int length= coordBufSize.X*coordBufSize.Y;

	pCharInfo = new CHAR_INFO [coordBufSize.X * coordBufSize.Y * sizeof(CHAR_INFO)];

	coordDest.X = 0;
	coordDest.Y = 0;

	ReadConsoleOutput(BSHandle, // handle to a console screen buffer 
                pCharInfo,		// pointer to buffer with data to write 
                coordBufSize,	// column-row size of source buffer 
                coordDest,		// upper-left cell to write from 
                &srReadRegion); // pointer to rectangle to write to 

	for (int y =0; y!= coordBufSize.Y; y++)
	{
		for (int x = 0; x != coordBufSize.X; x++)
		{
			pCharInfo [y*coordBufSize.X +x].Char.AsciiChar = Source;
			pCharInfo [y*coordBufSize.X +x].Attributes     = Attrib;
		}
	}

	BOOL bSuccess = WriteConsoleOutput(BSHandle, // handle to a console screen buffer 
                pCharInfo,		// pointer to buffer with data to write 
                coordBufSize,	// column-row size of source buffer 
                coordDest,		// upper-left cell to write from 
                &srReadRegion); // pointer to rectangle to write to 

	
	delete [] (pCharInfo);
	return 1;
}

int gettext(int Left, int Top, int Right, int Bottom, char *Dest, char *Attrib )
{
	HANDLE BSHandle = StdOutput();
	CHAR_INFO* pCharInfo;
	COORD coordBufSize;
	COORD coordDest;	
	COORD coordStart;	
	COORD coordEnd;	
	SMALL_RECT srReadRegion;
	
	coordStart.X	= srReadRegion.Left		= min (Left, Right);
	coordStart.Y	= srReadRegion.Top		= min (Top, Bottom);
	coordEnd.X		= srReadRegion.Right	= max (Left, Right);
	coordEnd.Y		= srReadRegion.Bottom	= max (Top, Bottom);

	coordBufSize.X = coordEnd.X - coordStart.X + (SHORT) 1;
	coordBufSize.Y = coordEnd.Y - coordStart.Y + (SHORT) 1;
	
	
	pCharInfo = new CHAR_INFO [coordBufSize.X * coordBufSize.Y * sizeof(CHAR_INFO)];

	coordDest.X = 0;
	coordDest.Y = 0;
	
	BOOL bSuccess = ReadConsoleOutput(BSHandle, // handle of a console screen buffer 
                pCharInfo,		// address of buffer that receives data 
                coordBufSize,	// column-row size of destination buffer 
                coordDest,		// upper-left cell to write to 
                &srReadRegion); // address of rectangle to read from 

	unsigned long int Pos= 0;
	for (int y =0; y!= coordBufSize.Y; y++)
	{
		for (int x = 0; x != coordBufSize.X; x++)
		{
			Dest [Pos]   = pCharInfo [y*coordBufSize.X +x].Char.AsciiChar;
			if( Attrib != NULL )
			{
				Attrib [Pos] = char (pCharInfo [y*coordBufSize.X +x].Attributes);
			}
			Pos++;
		}
	}
	
	delete [] (pCharInfo);
	return 1;
}
int printConsole(const char * output){
    printConsole(output,strlen(output));
}
int printConsole(const char * output,int len){
  DWORD res;
  WriteConsole(stdOutput,output,len,&res,0);
  return res;
}
void delay( DWORD MilliSeconds )
{
	DWORD Start = timeGetTime();
	while (timeGetTime() <= Start + MilliSeconds);
}

void sync( DWORD MilliSeconds )
{
	static DWORD Last= timeGetTime();
	Last+= MilliSeconds;
	while (timeGetTime() <= Last ) Sleep(1);

	Last= timeGetTime();
}


//----------------------------\
//Soundfunctions (added later)|
//----------------------------/
//--9x--
typedef unsigned short int  word;
char InPort9x(word PortAddr){
  if (NT_) return '\0x';
  char result;
  __asm__  (
    "movw %1, %%dx\n\t"
    "in %%dx, %0"
    : "=r" (result)
    : "g" (PortAddr)  
  );
  return result;
}


void OutPort9x(word PortAddr, char Databyte) {
  if (NT_) return ;
  asm ( 
    "movw %0, %%dx\n\t"        //dx = PortAddr
    "movb %1, %%al\n\t"        //al = Databyte
    "out %%al, %%dx\n\t"
    :
    : "r" (PortAddr),
      "r" (Databyte)
    : "dx", "al"       //al and dx are modified
  );
}

#define lo(x) ((x) & 0xFF)
#define hi(x) (((x) & 0xFF00) >> 8)
void Sound9x(word Hz){
  if (NT_) return ;
  word TmpW;
  OutPort9x(0x43,182);
  TmpW = InPort9x(0x61);
  OutPort9x(0x61,TmpW | 3);
  OutPort9x(0x42,lo(1193180 / Hz));
  OutPort9x(0x42, hi(1193180 / Hz));
}

void NoSound9x () {
  if (NT_) return ;
  word TmpW;
  OutPort9x(0x43,182);
  TmpW = InPort9x(0x61);
  OutPort9x(0x61,TmpW & 3);
}

BOOL Beep9x(DWORD hz, DWORD dauer){
  if (NT_) return false;
  word thz=(word) (hz);
  Sound9x(thz);
  Sleep(dauer);
  NoSound9x();
  return true;
}
//--NT--
BOOL BeepNT(DWORD hz, DWORD dauer){ 
  Beep(hz,dauer);
}

//Soundthread
HANDLE soundthreadHandle;
DWORD soundthreadID;
#define dword DWORD
struct OneBeep {
  dword freq;
  dword dauer; //duration
  int id;
};
OneBeep makeNewBeep(DWORD freq, DWORD dauer, int id) {
  OneBeep result; 
  result.freq=freq;
  result.dauer=dauer;
  result.id=id;
  return result;
};
std::queue<OneBeep> beeps;
CRITICAL_SECTION newBeep;

DWORD WINAPI SoundPlayer(LPVOID lpParameter){
  OneBeep thisBeep;
  while (1) {    
    if (!beeps.empty()) { //A read can't be interrupted, can it
      EnterCriticalSection(&newBeep); //but that can
      if (!beeps.empty()) { //Perhaps it has changed
        thisBeep = beeps.front();
        beeps.pop();
      }  
      LeaveCriticalSection(&newBeep);
      if (thisBeep.freq>0x25) {
        if (NT_) { Beep (thisBeep.freq, thisBeep.dauer); } 
        else { Sound9x(thisBeep.freq); Sleep(thisBeep.dauer); if (beeps.empty() && !(NT_)) {NoSound9x(); }  };
      } else {  
        if (!(NT_)) NoSound9x();   
        Sleep(thisBeep.dauer);
      }         
    } else { Sleep (2);}
  }    
}

//Inputthread    
bool mouse;
typedef BOOL CALLBACK (*TPGetLastInputInfo)(PLASTINPUTINFO);
TPGetLastInputInfo PGetLastInputInfo;
PMouseCallback mouseCallback=NULL;
HANDLE keyboardThreadHandle;
DWORD keyboardThreadID;
bool staticKeyboardBuffer[256];
DWORD lastKey=0;
bool keypressed( int VirtualKey )
{
  return staticKeyboardBuffer[VirtualKey];
}
void forceKeyrelease (int VK){
  staticKeyboardBuffer[VK]=false;
}  
bool isAnyKeyPressed(){
  return ((GetTickCount()-lastKey)<150);
}
DWORD WINAPI KeyboardThread(LPVOID lpParameter){
  _INPUT_RECORD keyBuffer[32];
  DWORD readBuffers;

  while (1) {
    ReadConsoleInput(stdInput,&keyBuffer[0],32,&readBuffers);
    for (DWORD i=0;i<readBuffers;i++){
      //OutputDebugString("read");
      if (keyBuffer[i].EventType==KEY_EVENT) {
// MessageBoxInt("",keyBuffer[i].Event.KeyEvent.wVirtualKeyCode);
        if (keyBuffer[i].Event.KeyEvent.wVirtualKeyCode<256) {
          staticKeyboardBuffer[keyBuffer[i].Event.KeyEvent.wVirtualKeyCode]=keyBuffer[i].Event.KeyEvent.bKeyDown;
          if (keyBuffer[i].Event.KeyEvent.bKeyDown)
            lastKey=GetTickCount();
        }  
      } else  if ((keyBuffer[i].EventType==MOUSE_EVENT) && mouse) {
        if (mouseCallback!=NULL)
          mouseCallback(&keyBuffer[i].Event.MouseEvent);
      }  
    }  
    Sleep(1);
  }    
}
void setMouseCallback( PMouseCallback newCallback){
  mouseCallback=newCallback;
}  
PMouseCallback getMouseCallback( ){
  return mouseCallback;
}  
void enableMouse(bool useMouse){
  mouse=useMouse;
  if (mouse) {SetConsoleMode(stdInput,ENABLE_LINE_INPUT | ENABLE_ECHO_INPUT | ENABLE_MOUSE_INPUT);}
  else {SetConsoleMode(stdInput,ENABLE_LINE_INPUT | ENABLE_ECHO_INPUT );}
} 
typedef HWND (*PGetConsoleWindow) ();
char * filename;
PGetConsoleWindow getConsoleWindow;
HWND GetConsoleWindowNew(){
  if (getConsoleWindow!=NULL) return getConsoleWindow();
  return FindWindowEx(FindWindow("tty",filename),0,"ttyGrab","");
}  


void setMousePos(int x, int y){
  COORD pos;
  pos.X=x;
  pos.Y=y;
  SetConsoleCursorPosition (stdOutput,pos);
  
  HWND handle = GetConsoleWindowNew();
  RECT client;
  GetClientRect(handle,&client);
  //hardcoded for 80x25 
  int sizeX=client.right / 80;
  int sizeY=client.bottom / 25;
  
  x = x*sizeX+sizeX/2;
  y = y*sizeY+sizeY/2;
  //so jetzt noch 0/0 finden verschieben
  POINT point;
  point.x=x;
  point.y=y;
  ClientToScreen(handle,&point);
  SetCursorPos(point.x,point.y);
}  
HANDLE sb;
HMODULE kernel32;
void InitConsoleSystem(char * fileName){
  filename=fileName;
  NT_=isNT();
  mouse = false;
  
  if (NT_) {
    kernel32=LoadLibrary("kernel32.dll");
    getConsoleWindow=PGetConsoleWindow(GetProcAddress(kernel32,"GetConsoleWindow"));
  }  
  
  AllocConsole();
  sb=CreateConsoleScreenBuffer(GENERIC_READ |GENERIC_WRITE,FILE_SHARE_READ|FILE_SHARE_WRITE,NULL,CONSOLE_TEXTMODE_BUFFER,NULL);
  SetConsoleActiveScreenBuffer(sb);
  SetStdHandle (STD_OUTPUT_HANDLE,sb);
  stdOutput=sb;
  stdInput=GetStdHandle(STD_INPUT_HANDLE);
  
  SetConsoleMode(stdInput,ENABLE_LINE_INPUT | ENABLE_ECHO_INPUT );
  
  SetConsoleTitleA(fileName);
  
  keyboardThreadHandle=CreateThread(NULL,0,&KeyboardThread,NULL,0,&keyboardThreadID);
  SetThreadPriority(soundthreadHandle,THREAD_PRIORITY_BELOW_NORMAL);
  
  InitializeCriticalSection(&newBeep);
  soundthreadHandle=CreateThread(NULL,0,&SoundPlayer,NULL,0,&soundthreadID);
  SetThreadPriority(soundthreadHandle,THREAD_PRIORITY_LOWEST);
}
void soundbeep(long hz, long dauer, bool sync, bool important, int id){
/*  if (beepCount>maxBeeps-1) 
    if (important) {
      while (beepCount>maxBeeps-1) Sleep (1);
    } else { return;}*/
  
  EnterCriticalSection(&newBeep); 
  beeps.push(makeNewBeep(hz,dauer,id));
  LeaveCriticalSection(&newBeep);
  if (sync) while (!beeps.empty()) Sleep(1);
}
void deleteSounds(int id){
  EnterCriticalSection(&newBeep); 

  OneBeep thisBeep;
  std::queue<OneBeep> newBeeps;

  while (!beeps.empty()) {
    thisBeep =  beeps.front();
    beeps.pop();
    if (thisBeep.id!=id) newBeeps.push(thisBeep);
  }  

  LeaveCriticalSection(&newBeep);
  
  if (!(NT_)) NoSound9x();   

  beeps=newBeeps;
}  
void FreeConsoleSystem(){
  CloseHandle(sb);
  FreeConsole();

  TerminateThread(keyboardThreadHandle,1);
 
  TerminateThread(soundthreadHandle,1);
  if (!NT_) { NoSound9x();} else {FreeLibrary(kernel32);}
  DeleteCriticalSection (&newBeep);
}    
 


/*
//void InitWindow(const char * gameFileName);
HANDLE sb;
void InitKeyboard(const char * gameFileName){
//  InitWindow(gameFileName);  
  AllocConsole();
  sb=CreateConsoleScreenBuffer(GENERIC_READ |GENERIC_WRITE,FILE_SHARE_READ|FILE_SHARE_WRITE,NULL,CONSOLE_TEXTMODE_BUFFER,NULL);
  SetConsoleActiveScreenBuffer(sb);
  SetStdHandle (STD_OUTPUT_HANDLE,sb);
  SetStdHandle (STD_INPUT_HANDLE,NULL);
  StdOutput=sb;
  MessageBoxInt("gm",(int)FindWindow("tty",gameFileName));///
  EnableWindow(FindWindow("tty",gameFileName),true);
  EnableWindow(FindWindowEx(FindWindow("tty",gameFileName),0,"ttyGrab",NULL),true);
  //BlockInput(false);
  HWND game=/*FindWindowEx(/FindWindow("tty",gameFileName);//,0,"ttyGrab",NULL);
  MessageBoxInt("g",(int)game);///
  SetWindowLong(game,GWL_STYLE,GetWindowLong(game,GWL_STYLE) | WS_TABSTOP);
//  MessageBoxInt("",GetLastError());
  hookID=SetWindowsHookEx(WH_KEYBOARD,&KeyboardProc,NULL,GetWindowThreadProcessId(game,NULL));
  MessageBoxInt("",GetLastError());//*
}    
void FreeKeyboard(){
  //UnhookWindowsHookEx(hookID);
  CloseHandle(sb);
  FreeConsole();
}    

LRESULT CALLBACK WindowProcedure (HWND, UINT, WPARAM, LPARAM);

/*Windowsfunktionen:
void InitWindow(const char * gameFileName){
    
    HWND hwnd;               // This is the handle for our window *
    MSG messages;            // Here messages to the application are saved *
    WNDCLASSEX wincl;        // Data structure for the windowclass *

    // The Window structure *
    wincl.hInstance = GetModuleHandle(gameFileName);
    wincl.lpszClassName = "keyboarddispatcher";
    wincl.lpfnWndProc = WindowProcedure;      // This function is called by windows *
    wincl.style = 0;               
    wincl.cbSize = sizeof (WNDCLASSEX);

    // Use default icon and mouse-pointer *
    wincl.hIcon = 0;
    wincl.hIconSm =0;
    wincl.hCursor =0;
    wincl.lpszMenuName = NULL;                 // No menu *
    wincl.cbClsExtra = 0;                      // No extra bytes after the window class *
    wincl.cbWndExtra = 0;                      // structure or the window instance *
    // Use Windows's default color as the background of the window *
    wincl.hbrBackground = (HBRUSH) COLOR_BACKGROUND;

    // Register the window class, and if it fails quit the program *
    if (!RegisterClassEx (&wincl))
        return ;

    // The class is registered, let's create the program*
    hwnd = CreateWindowEx (
           0,                   // Extended possibilites for variation *
           "keyboarddispatcher",         // Classname *
           "",       // Title Text *
           WS_OVERLAPPEDWINDOW | WS_VISIBLE, // default window *
           CW_USEDEFAULT,       // Windows decides the position *
           CW_USEDEFAULT,       // where the window ends up on the screen *
           200,                 // The programs width *
           200,                 // and height 
           HWND_DESKTOP,        // The window is a child-window to
           NULL,                //
           wincl.hInstance,       // Program Instance 
           NULL                 // No Window Cr
           );
OutputDebugStringA(IntToStr10(GetLastError()));
    // Make the window visible on the screen *
    ShowWindow (hwnd, SW_SHOW);

    // Run the message loop. It will run until GetMes
    while (GetMessage (&messages, NULL, 0, 0))
    {
        // Translate virtual-key messages into character messages 
        TranslateMessage(&messages);
        // Send message to WindowProcedure 
        DispatchMessage(&messages);
    }

    // The program return-value is 0 - The value that PostQuitMessage() gave *
    return;
}    
LRESULT CALLBACK WindowProcedure (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
    switch (message)                  // handle the messages *
    {
        case WM_DESTROY:
            PostQuitMessage (0);       // send a WM_QUIT to the message queue *
            break;
        default:                      // for messages that we don't deal with *
            return DefWindowProc (hwnd, message, wParam, lParam);
    }

    return 0;
}
// */
